﻿using LogicModule.Nodes.Helpers;
using LogicModule.ObjectModel;
using LogicModule.ObjectModel.TypeSystem;

namespace LogicNodesSDK.Logic.Nodes
{
  public class Node : LogicNodeBase
  {
    /// <summary>
    /// The type service.
    /// </summary>
    private readonly ITypeService typeService;

    /// <summary>
    /// Initializes a new instance of the <see cref="Node"/> class.
    /// </summary>
    /// <param name="context">The node context.</param>
    public Node(INodeContext context)
      : base(context)
    {
      context.ThrowIfNull("context");

      this.typeService = context.GetService<ITypeService>();
    }
    
    public override void Startup()
    {
    }

    public override void Execute()
    {
    }
  }
}
